
/*
MathGraph32 Java. Software for creating and animating dynamic mathematics figures
    Copyright (C) 2009  Yves Biton (France) http://mathgraph32.org 

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/
package actions;

import java.awt.event.ActionEvent;
import mathgraph32.MtgFrame;
import mathgraph32.MtgInternalFrame;

@SuppressWarnings("serial")
public class ActionImageFondVisible extends MtgAction {
	public ActionImageFondVisible(MtgFrame frameInit) {
		super(frameInit, null, getString("menuImageFondVisible"), null, null, null, false);
	}

	@Override
	public void actionPerformed(ActionEvent e) {
		MtgInternalFrame cadre = frame.cadreActif();
		cadre.document.imageFondVisible = frame.cbImageFondVisible.isSelected();
		// Ligne suivante ajoute version 4.4.4 : Si le mode trace est activ il faut effacer le bffer de traces
		cadre.effacetBuffer();
		cadre.redessineSansCalcul();
		// Si on n'appelle pas paintImmediatly seule la rgion situe sous le menu est mise  jour
		cadre.paneFigure.paintImmediately(0, 0, cadre.dimf.longueurAbscisses, cadre.dimf.longueurOrdonnees);
	}

  @Override
  public int idMenu() {
    return 32028;
  }
	
}
