/*
MathGraph32 Java. Software for creating and animating dynamic mathematics figures
    Copyright (C) 2009  Yves Biton (France) http://mathgraph32.org 

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

package actions;

import java.awt.event.ActionEvent;
import mathgraph32.MtgFrame;

/**
 * Ajout version 5.0. Sert  basculer le mode de cration automatique de points libres quan on clique sur 
 * un endroit vide lors de l'utilisation de certains outils.
 * @author Yves
 *
 */
@SuppressWarnings("serial")
public class ActionModePointAuto extends MtgAction {
	public ActionModePointAuto(MtgFrame frameInit) {
		super(frameInit, null, getString("menuModePointAuto"), getString("tipModePointAuto"),
				iconeAssociee(), null, true);
	}
		@Override
	public void actionPerformed(ActionEvent e) {
		frame.pref_creationPointsAuto = ! frame.pref_creationPointsAuto;
		frame.buttonModePointAuto.setSelected(frame.pref_creationPointsAuto);
		frame.cbModeCreationPointAuto.setSelected(frame.pref_creationPointsAuto);
	}

  public static String iconeAssociee() {
    return "images/CreationPointAuto";
  }

}
