/*
MathGraph32 Java. Software for creating and animating dynamic mathematics figures
    Copyright (C) 2009  Yves Biton (France) http://mathgraph32.org 

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/
package actions;

import java.awt.event.ActionEvent;
import java.io.DataOutputStream;
import java.io.IOException;
import java.net.HttpURLConnection;
import java.net.MalformedURLException;
import java.net.URL;
import dialogs.MtgDlg;
import mathgraph32.MtgFrame;
import mathgraph32.MtgInternalFrame;

@SuppressWarnings("serial")
public class ActionPostHtml extends MtgAction		{
	public ActionPostHtml(MtgFrame frameInit) {
    super(frameInit, null, getString("postHtml") + " " + frameInit.url.replaceAll("^https?:\\/\\/([^\\/]+)", "$1"),	getString("postHtml"), null, null, false);
  }

  @Override
  public void actionPerformed(ActionEvent e) {
  	MtgInternalFrame cadre = frame.cadreActif();
  	if (cadre == null) return;
  	URL obj;
		try {
			obj = new URL(frame.url);
		} catch (MalformedURLException e2) {
			// TODO Auto-generated catch block
	 		MtgDlg.dialogueAvertissementCentreEcran(getString("erreurExport"));
			e2.printStackTrace();
			return;
		}
		HttpURLConnection con;
		try {
			con = (HttpURLConnection) obj.openConnection();
	    con.setDoOutput(true);
	    con.setRequestProperty("Content-Type", "application/json");
	    con .setRequestProperty("Accept", "application/json");
			// OutputStream os = con.getOutputStream();
	    DataOutputStream os = new DataOutputStream(con.getOutputStream());
	    String ch = cadre.getXML();
	    ch = "{\"base64\":\"" + ch + "\"}";
	    os.write(ch.getBytes());
	    os.flush();
	    os.close();
	    int responseCode = con.getResponseCode();
			String responseString = con.getResponseMessage();
			if (responseCode == HttpURLConnection.HTTP_OK) {
				MtgDlg.dialogueAvertissementCentreEcran(getString("enregistre"));
				cadre.document.setDirty(false);
			}
			else MtgDlg.dialogueAvertissementCentreEcran(getString("erreurExport") + " : " + responseString);
		} catch (IOException e1) {
	 		MtgDlg.dialogueAvertissementCentreEcran(getString("erreurExport"));
			e1.printStackTrace();
		}
  }
}
