/*
MathGraph32 Java. Software for creating and animating dynamic mathematics figures
    Copyright (C) 2009  Yves Biton (France) http://mathgraph32.org 

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/
package dialogs;

import java.util.ListIterator;
import java.util.Vector;

import javax.swing.JList;
import javax.swing.ListSelectionModel;

import mathgraph32.MtgFrame;

import objets.CElementBase;
import objets.CListeObjets;
import objets.CSuiteRec;
import objets.CValeurDynamique;
import types.FonteNom;
import types.NatureCalcul;

@SuppressWarnings("serial")
public class ListeSuitesRecurrentesReelles extends JList<String> {
  private CListeObjets liste; // La liste contenant les valeurs  afficher
  private int indiceMaxi; // l'indice maxi permis pour un objet  insrer dans la liste
  private boolean intermPermis; // True si les objets intermdiaires sont autoriss dans la liste
  public Vector<CValeurDynamique> pointeurs;

  public ListeSuitesRecurrentesReelles(MtgFrame frame, CListeObjets listeInit, int indiceMaxiInit, boolean intermPermisInit) {
    super();
		setFont(FonteNom.getFonteEdition(MtgFrame.sizeFontList, FonteNom.Normal,
				(double)frame.pref_addSystemFont/MtgFrame.sizeFontList + MtgFrame.coefMultForSystemFonts));		
    pointeurs = new Vector<CValeurDynamique>();
    setSelectionMode(ListSelectionModel.SINGLE_SELECTION);
    liste = listeInit;
    indiceMaxi = indiceMaxiInit;
    intermPermis = intermPermisInit;
    int i = 0;
    
    Vector<String> values = new Vector<String> ();
    // On ajoute les noms des objets de type valeurs  la liste
    ListIterator<CElementBase> li = liste.listIterator();
    while (i <= indiceMaxi)
    {
      CElementBase elb = li.next();
      if ((!elb.estElementIntermediaire() || intermPermis) && (elb.getNatureCalcul() == NatureCalcul.NSuiteRecurrenteReelle)) {
      	String ch = ((CValeurDynamique)elb).nom();
      	if (!elb.existe) ch = ch + " " + MtgFrame.getString("chinfo0");
        values.add(ch);
        pointeurs.add((CValeurDynamique) elb);
      }
      i++;
    }
    setListData(values);
    setVisibleRowCount(10);

    setSelectedIndex(0);
  }
  
  public void setSel(CSuiteRec suite) {
  	int ind = pointeurs.indexOf(suite);
  	setSelectedIndex(ind);
  	ensureIndexIsVisible(ind);
  }
  
  public CSuiteRec suiteSelectionnee() {
  	int ind = getSelectedIndex();
  	if (ind == -1) return null;
  	else return (CSuiteRec) pointeurs.get(ind);
  }  
}
