/*
MathGraph32 Java. Software for creating and animating dynamic mathematics figures
    Copyright (C) 2009  Yves Biton (France) http://mathgraph32.org 

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

package dialogs;
import java.awt.Color;
import java.awt.Font;

import javax.swing.JTextPane;
import javax.swing.text.MutableAttributeSet;
import javax.swing.text.StyleConstants;
import javax.swing.text.StyledDocument;

import mathgraph32.MtgFrame;
import types.FonteNom;

@SuppressWarnings("serial")
/**
 * Classe ajoute version 5.2 pour que dans Html5ExportDlg la police des editeurs textEditor1 et textEditor2 s'adpte  la rsolution de l'cran
 * @author yvesb
 *
 */
public class MtgTextPane extends JTextPane {

	public MtgTextPane(MtgFrame frame) {
		super();
		setContentType("text/html");
		setJTextPaneFont(FonteNom.getFonteEdition(MtgFrame.sizeFontEditor, FonteNom.Normal,
				(double)frame.pref_addSystemFont/MtgFrame.sizeFontEditor + MtgFrame.coefMultForSystemFonts));				
	}
	
	private  void setJTextPaneFont(Font font) {
    MutableAttributeSet att = getInputAttributes();
    StyleConstants.setFontFamily(att, font.getFamily());
    StyleConstants.setFontSize(att, font.getSize());
    StyleConstants.setItalic(att, (font.getStyle() & Font.ITALIC) != 0);
    StyleConstants.setBold(att, (font.getStyle() & Font.BOLD) != 0);
    // La couleur noir par dfaut
    StyleConstants.setForeground(att, Color.black);
    StyledDocument doc = getStyledDocument();
    doc.setCharacterAttributes(0, doc.getLength() + 1, att, false);
	}
}
