/*
MathGraph32 Java. Software for creating and animating dynamic mathematics figures
    Copyright (C) 2009  Yves Biton (France) http://mathgraph32.org 

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/
package dialogs;

import java.awt.BorderLayout;
import java.awt.Dimension;
import javax.swing.JLabel;
import javax.swing.JPanel;
import mathgraph32.MtgFrame;

@SuppressWarnings("serial")
public class WarningDlg extends MtgDlg {

  public WarningDlg(MtgFrame frameInit, String text) {
  	super(getString("avertissement"), false, frameInit);
    // Modification version 5.0 pour tenir compte des crans haute dfinition
    double k = MtgFrame.screenIsHighResolution ? 1.5 : 1;
  	setPreferredSize(new Dimension((int)(k*500),(int)(k*200)));
  	MtgLabel label = new MtgLabel(frame, text);
  	label.setHorizontalAlignment(JLabel.CENTER);
  	JPanel pane = new JPanel();
  	pane.setLayout(new BorderLayout());
  	pane.add(label, "Center");
  	setContentPane(pane);
  	pack();
  } 

}
