/*
MathGraph32 Java. Software for creating and animating dynamic mathematics figures
    Copyright (C) 2009  Yves Biton (France) http://mathgraph32.org 

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

package mathgraph32;

import java.awt.Insets;
import javax.swing.JMenuItem;

import objets.CMathGrafDoc;
import types.FonteNom;
import actions.MtgAction;

/**
 *
 * @author Yves
 */
@SuppressWarnings("serial")
public class MtgMenuItem extends JMenuItem {
	// Inset pour les items de menus
	public static final Insets insetMenuItem = new Insets(0, 3, 0, 3);
	public MtgAction action; // Ajout version 5.0
	public MtgFrame frame;

	// Ajout version 5.0
	public MtgMenuItem(MtgFrame frameInit) {
		super();
		frame = frameInit;
		// Ajout version 5.0
		setFont(FonteNom.getFonteNom(MtgFrame.sizeFontMenuItem, FonteNom.Normal, (double)frame.pref_addSystemFont/MtgFrame.sizeFontMenuItem + MtgFrame.coefMultForSystemFonts));
		// Car l'augmentation des polices systme pas toujours effective
	}
	//
  public MtgMenuItem(MtgAction a) {
    super(a);
    frame = a.frame;
		setMargin(insetMenuItem);
		// Ajout version 5.0
		setFont(FonteNom.getFonteNom(MtgFrame.sizeFontMenuItem, FonteNom.Normal,
				(double)a.frame.pref_addSystemFont/MtgFrame.sizeFontMenuItem + MtgFrame.coefMultForSystemFonts));
		// Car l'augmentation des polices systme pas toujours effective
		if ((a!= null) && (a.imicon != null)) setIcon(a.imiconMenu); // Ajout version 5.0
		setToolTipText(null);
  }
  
  public MtgMenuItem(MtgMenuItem itemInit) {
  	super(((MtgAction) itemInit.getAction()));
		setMargin(insetMenuItem);
		// Ajout version 5.0
		setFont(FonteNom.getFonteNom(MtgFrame.sizeFontMenuItem, FonteNom.Normal,
				(double)((MtgAction) itemInit.getAction()).frame.pref_addSystemFont/MtgFrame.sizeFontMenuItem + MtgFrame.coefMultForSystemFonts));
		// Car l'augmentation des polices systme pas toujours effective
  }
  
  /**
   * Fonction adaptant la visibilit de l'item aux outils permis dans doc et docNiveau
   * Attention : docNiveau peut tre nul
   * @param doc
   * @return
   */
  public boolean adapteADocument(CMathGrafDoc doc, CMathGrafDoc docNiveau) {
  	if (getAction() != null) {
  		MtgAction action = (MtgAction)getAction();
  		int id = action.idMenu();
  		boolean b1 = doc.itemPermis(id);
  		boolean b2 = (docNiveau == null) ? true : docNiveau.itemPermis(id);
  		if (b1 & b2) {
  			setVisible(true);
  			return true;
  		}
  		else {
  			setVisible(false);
  			return false;
  		}
  	}
  	else {
  		return false;
  	}
  }
}