/*
MathGraph32 Java. Software for creating and animating dynamic mathematics figures
    Copyright (C) 2009  Yves Biton (France) http://mathgraph32.org 

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/
package mathgraph32;

import java.awt.Insets;
import java.awt.event.MouseEvent;
import java.awt.event.MouseListener;

import javax.swing.BorderFactory;
import javax.swing.BoxLayout;
import javax.swing.ButtonGroup;
import javax.swing.JPanel;
import javax.swing.JToolBar;

import types.StyleRemplissage;
// Modifi version 5.0
@SuppressWarnings("serial")
public class MtgPaneStyleRemplissage extends JPanel implements MouseListener {
	private MtgFrame frame;
	private static Insets ins = new Insets(0, 0, 0, 0);  
	MtgStyleRemplissageButton button1,button2,button3,button4,button5,button6;
	
	public MtgPaneStyleRemplissage(MtgFrame frameInit) {
    super();
    frame = frameInit;
  	// Les deux barres d'outils horizontales servant  contenir les icnes de
  	// choix de style de flche
    JToolBar bar1 = new JToolBar(JToolBar.HORIZONTAL);
    JToolBar bar2 = new JToolBar(JToolBar.HORIZONTAL);
    // Les six boutons
    button1 = new MtgStyleRemplissageButton(frame, StyleRemplissage.QuadrillagePleinTransp);
    button2 = new MtgStyleRemplissageButton(frame, StyleRemplissage.QuadrillagePlein);
    button3 = new MtgStyleRemplissageButton(frame, StyleRemplissage.Quadrillage45Bas);
    button4 = new MtgStyleRemplissageButton(frame, StyleRemplissage.Quadrillage45Haut);
    button5 = new MtgStyleRemplissageButton(frame, StyleRemplissage.QuadrillageHorizontal);
    button6 = new MtgStyleRemplissageButton(frame, StyleRemplissage.QuadrillageVertical);
  	// Un groupe de boutons pour englober tous les boutons de la barre d'outil de
  	// choix de style de point
  	ButtonGroup btngroup = new ButtonGroup();
		bar1.setMargin(ins);
		bar2.setMargin(ins);
		bar1.setFloatable(false);
		bar2.setFloatable(false);
		btngroup.add(button1);
		btngroup.add(button2);
		btngroup.add(button3);
		btngroup.add(button4);
		btngroup.add(button5);
		btngroup.add(button6);
		// On active par dfaut le remplissage plein aevc transparence
		button1.setSelected(true);
		bar1.add(button1);
		bar1.add(button2);
		bar1.add(button3);
		bar2.add(button4);
		bar2.add(button5);
		bar2.add(button6);
		bar1.setBorder(BorderFactory.createEmptyBorder(0, 0, 0, 0));
		bar2.setBorder(BorderFactory.createEmptyBorder(0, 0, 0, 0));
		setBorder(BorderFactory.createEtchedBorder());
		setLayout(new BoxLayout(this, BoxLayout.Y_AXIS));
		add(bar1);
		add(bar2);
	}

	public void mouseClicked(MouseEvent arg0) {
	}  
	public void mouseEntered(MouseEvent arg0) {
    if (getCursor() != MtgFrame.defaultCursor) frame.setCursor(MtgFrame.defaultCursor);
	}
	public void mouseExited(MouseEvent arg0) {
	}
	public void mousePressed(MouseEvent arg0) {
	}
	public void mouseReleased(MouseEvent arg0) {
	}
	// Ajout version 5.0
	public void donneStyle(int style) {
		switch (style) {
			case StyleRemplissage.QuadrillagePleinTransp :
				button1.setSelected(true);
				button1.actionPerformed(null);
				break;
			case StyleRemplissage.QuadrillagePlein :
				button2.setSelected(true);
				button2.actionPerformed(null);
				break;
			case StyleRemplissage.Quadrillage45Bas :
				button3.setSelected(true);
				button3.actionPerformed(null);
				break;
			case StyleRemplissage.Quadrillage45Haut :
				button4.setSelected(true);
				button4.actionPerformed(null);
				break;
			case StyleRemplissage.QuadrillageHorizontal :
				button5.setSelected(true);
				button5.actionPerformed(null);
				break;
			case StyleRemplissage.QuadrillageVertical :
				button6.setSelected(true);
				button6.actionPerformed(null);
				break;	
		}
	}
}
