/*
MathGraph32 Java. Software for creating and animating dynamic mathematics figures
    Copyright (C) 2009  Yves Biton (France) http://mathgraph32.org 

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/
package mathgraph32;

import java.awt.Insets;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import java.awt.event.MouseEvent;
import java.awt.event.MouseListener;
import javax.swing.JToggleButton;
import types.StyleMarqueAngle;

@SuppressWarnings("serial")
public class MtgStyleMarqueAngleButton extends JToggleButton implements MouseListener, ActionListener {
	private MtgFrame frame;
	private int styleMarqueAngleAssocie;
  private static Insets insets = new Insets(1,3,1,3);
  
	/**
	 * Constructeur
	 */
	public MtgStyleMarqueAngleButton(MtgFrame frameInit, int StyleMarqueAngleAssocieInit) {
		super(new MtgImageIcon(0.25*MtgFrame.coefMultForDlgBoxIcons, MtgFrame.class.getResource("images/" + nomFichierAssocie(StyleMarqueAngleAssocieInit) + ".png")));
		setMargin(insets);
		frame = frameInit;
		styleMarqueAngleAssocie = StyleMarqueAngleAssocieInit;
    addMouseListener(this);
    addActionListener(this);
    setToolTipText(MtgFrame.getString("tipChoixStyleMarqueAngle"));
	}
	
	public static String nomFichierAssocie(int styleMarque) {
		String ch;
		switch (styleMarque) {
		case StyleMarqueAngle.marqueSimple :
			ch = "StyleMarqueAngle1";
			break;
		case StyleMarqueAngle.marqueSimple1Trait :
			ch = "StyleMarqueAngle2";
			break;
		case StyleMarqueAngle.marqueSimple2Traits :
			ch = "StyleMarqueAngle3";
			break;
		case StyleMarqueAngle.marqueSimple3Traits :
			ch = "StyleMarqueAngle4";
			break;
		case StyleMarqueAngle.marqueSimpleCroix :
			ch = "StyleMarqueAngle5";
			break;
		case StyleMarqueAngle.marquePleine :
			ch = "StyleMarqueAngle6";
			break;
		case StyleMarqueAngle.marquePleine1Trait :
			ch = "StyleMarqueAngle7";
			break;
		case StyleMarqueAngle.marquePleine2Traits :
			ch = "StyleMarqueAngle8";
			break;
		case StyleMarqueAngle.marquePleine3Traits :
			ch = "StyleMarqueAngle9";
			break;
		case StyleMarqueAngle.marquePleineCroix :
			ch = "StyleMarqueAngle10";
			break;
		default : ch = "";
		}
		return ch;
	}

	public void mouseClicked(MouseEvent e) {
	}

	public void mouseEntered(MouseEvent e) {
    if (getCursor() != MtgFrame.defaultCursor) frame.setCursor(MtgFrame.defaultCursor);
	}

	public void mouseExited(MouseEvent e) {
	}

	public void mousePressed(MouseEvent e) {
	}

	public void mouseReleased(MouseEvent e) {
	}

	public void actionPerformed(ActionEvent e) {
		frame.styleMarqueAngleActif = styleMarqueAngleAssocie;
	}	
  

}
