/*
MathGraph32 Java. Software for creating and animating dynamic mathematics figures
    Copyright (C) 2009  Yves Biton (France) http://mathgraph32.org 

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

/**
 *
 * @author Yves
 * Outil de cration d'un cercle par centre et point
 */

package outils;

import objets.*;
import mathgraph32.MtgFrame;

public class OutilCerOA extends OutilPar2pts {
  
  /** Creates a new instance of OutilCer */
  public OutilCerOA(MtgFrame frameInit) {
    super(frameInit);
  }
	/**
	 * Ajout versions 5.0.
	 * Renverra true si on peut crer un point quand on clique sur un endroit vide de la figure.
	 * Devra tre redfini pour les outils pour lesquels ce n'est pas possible comme les outils de mesure.
	 * @return
	 */
	protected boolean creationPointPossible() {
		return true;
	}

  @Override
  public void creeObjet() {
    CCercleOA pt = new CCercleOA(frame.cadreActif().listePr, null, false, frame.couleurActive(),
      false, frame.styleTraitActif(), point1, point2);
    frame.ajouteElementAvecVerification(pt);
    frame.cadreActif().gestionnaire.enregistreFigureEnCours(getString("chaineOutil4"));
    annuleClignotement();
    select();
  }
  /** Mthode ajoutant les objets visuels  la liste listeObjetsVisuels de l'applet
   * au fur et  mesure que l'on dsigne les obejts  la souris
   * Doit tre redfini pour chaque outil utilisant une aide visuelle  la cration
   */
  @Override
  public void ajouteObjetsVisuels() {
    CCercleOA dt = new CCercleOA(frame.listeObjetsVisuels, null, false,
      frame.couleurActive(), false, frame.styleTraitActif(),
      point1, frame.cadreActif().paneFigure.pointSouris);
    frame.listeObjetsVisuels.add(dt);
  }
  
  /**
   * Fonction renvoyant la chane  afficher  l'tape i (i >= 1) comme indication
   * Doit tre redfinie par les descendants devant crire plusieurs indications
   * @param i : l'indice
   * @return
   */
    
  @Override
  public String chaineIndication (int indEtape) {
    switch(indEtape) {
      case 1 : return getString("cercleOA1");
      case 2 : return getString("cercleOA2");
      default: return "";
    }
  }
  
}
