/*
MathGraph32 Java. Software for creating and animating dynamic mathematics figures
    Copyright (C) 2009  Yves Biton (France) http://mathgraph32.org 

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

package outils;

import mathgraph32.MtgFrame;
import objets.CMesureY;
import types.NatureCalcul;

public class OutilMesureOrdonneeDansRepere extends OutilParPointRepere {
	public OutilMesureOrdonneeDansRepere(MtgFrame frameInit) {
    super(frameInit, "mesureOrdonneeDlg1","mesureOrdonneeDlg2");
  }

  @Override
	public boolean activationValide() {
		return frame.cadreActif().listePr.nombreObjetsParNatureCalculNonIntermediaires(NatureCalcul.NRepere)>0;
	}
  
	@Override
	public String messageActivationNonValide() {
		return getString("messagePasDeRepere");
	}	  
  
  @Override
  public void creeObjet() {
  	// Modifi version 5.0
    // CMesureY mesy = new CMesureY(frame.cadreActif().listePr, null, false , repere1, point1);
  	CMesureY mesy = new CMesureY(frame.cadreActif().listePr, null, false , repere1, point1, nomChoisi);
    if (frame.ajouteElementAvecVerification(mesy)) {
      objetCree = true; // Necessaire  cause du fait que point1 et point2 ont t ventuellement
      // nomms et que si on ne cre pas l'objet on remet alors leur nom  une chaine vide
      frame.cadreActif().gestionnaire.enregistreFigureEnCours(getString("chaineOutil130"));
      /* Supprim version 5.0
      frame.dialogueInformation(getString("ch110") + " " +  mesy.nom() + " " + getString("ch31")
          + " " + point1.rendNom() + " " + getString("ch32") + " " + repere1.nom() + " " + getString("ch26"));
      */
    }
    annuleClignotement();
    select();
  }
  
  @Override
  public String chaineIndication (int indEtape) {
    switch(indEtape) {
      case 1 : return getString("mesOrdRep1");
      case 2 : return getString("mesOrdRep2");
      default: return "";
    }
  }
}
