/*
MathGraph32 Java. Software for creating and animating dynamic mathematics figures
    Copyright (C) 2009  Yves Biton (France) http://mathgraph32.org 

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

package outils;
import java.awt.Toolkit;
import java.io.IOException;
import mathgraph32.GestionnaireEdition;
import mathgraph32.MtgFrame;
import mathgraph32.MtgInternalFrame;

/**
 *
 * @author Yves
 */
public class OutilRefaire extends Outil {
  public OutilRefaire(MtgFrame frameInit) {
    super(frameInit, false);
  }
  
  @Override
  public void select() {
    super.select();
    frame.activeOutilCapture(); // Doit tre plac ici pour que la chane d'information
    // ne soit pas efface par Outil.selec(); dans activeOutilCapture();
    GestionnaireEdition gest = frame.cadreActif().gestionnaire;
    try {
      if (gest.refairePossible()) { 
        gest.refaitAction();
        MtgInternalFrame cadre = frame.cadreActif();
        cadre.repaintFigureAvecCalcul();
      }
      else Toolkit.getDefaultToolkit().beep();
    }
    catch (IOException err) {}
  }
}
